SDL_HINT_JOYSTICK_ALLOW_BACKGROUND_EVENTS(3)

NAME
SDL_HINT_JOYSTICK_ALLOW_BACKGROUND_EVENTS - A variable that lets you enable joystick (and gamecontroller) events even when your app is in the background.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_JOYSTICK_ALLOW_BACKGROUND_EVENTS SDL_JOYSTICK_ALLOW_BACKGROUND_EVENTS"

DESCRIPTION
The variable can be set to the following values:

• "0": Disable joystick & gamecontroller input events when the application
  is in the background. (default)

• "1": Enable joystick & gamecontroller input events when the application
  is in the background.

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.